jinfo(1)

NAME
jinfo - configuration info

SYNOPSIS
jinfo [option] pid
jinfo [option] executable core
jinfo [option] [server-id@]remote-hostname-or-IP

PARAMETERS
Options are mutually exclusive. Option, if used, should follow immediately after the command name. See OPTIONS below.

pid process id for which the configuration info is to be printed. The process must be a Java process. To get a list of Java processes running on a machine, jps many be used.

executable
    Java executable from which the core dump was produced.

core
    core file for which the configuration info is to be printed.

remote-hostname-or-IP
    remote debug server's (see jsadebugd) hostname or IP address.

server-id
    optional unique id, if multiple debug servers are running on the same remote host.

DESCRIPTION
jinfo prints Java configuration information for a given Java process or core file or a remote debug server. Configuration information includes Java System properties and Java virtual machine command line flags.

NOTE - This utility is unsupported and may or may not be available in future versions of the J2SE SDK. jinfo is not currently available on Windows platforms or on the Linux Itanium platform.

OPTIONS

<no option>
    prints both command line flags as well as System properties name, value pairs

-flags
    prints command line flags as name, value pairs

-sysprops
    prints JavaSystem properties as name, value pairs

-h  prints a help message

-help
    prints a help message

SEE ALSO
jps(1) jsadebugd(1)